Package fr.gouv.vitam.storage.driver.exception

# Class StorageDriverNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
fr.gouv.vitam.storage.driver.exception.StorageDriverException
fr.gouv.vitam.storage.driver.exception.StorageDriverNotFoundException

All Implemented Interfaces:
  `Serializable`

public class StorageDriverNotFoundException extends StorageDriverException
Exceptions to be thrown by the storage drivers in case resource was not found on the storage offer

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StorageDriverNotFoundException(String driverInfos, String message)`
  Constructor with a message and additional info about the driver
  `StorageDriverNotFoundException(String driverInfos, String message, Throwable cause)`
  Constructor with a message and an original exception and additional info about the driver
  `StorageDriverNotFoundException(String driverInfos, Throwable cause)`
  Constructor with an original exception and additional info about the driver

- ## Method Summary

  ### Methods inherited from class fr.gouv.vitam.storage.driver.exception.StorageDriverException

  `getDriverInfo, isShouldRetry`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StorageDriverNotFoundException

    public StorageDriverNotFoundException(String driverInfos, String message)
    Constructor with a message and additional info about the driver
    Parameters:
      `driverInfos` - information about the driver (id, name, version...)
      `message` - a message to add

  - ### StorageDriverNotFoundException

    public StorageDriverNotFoundException(String driverInfos, String message, Throwable cause)
    Constructor with a message and an original exception and additional info about the driver
    Parameters:
      `driverInfos` - information about the driver (id, name, version...)
      `message` - the exception message
      `cause` - the original exception

  - ### StorageDriverNotFoundException

    public StorageDriverNotFoundException(String driverInfos, Throwable cause)
    Constructor with an original exception and additional info about the driver
    Parameters:
      `driverInfos` - information about the driver (id, name, version...)
      `cause` - the original exception